#ifndef KEYPOINT_H_
#define KEYPOINT_H_

#include <vnl/vnl_double_3.h>

class Keypoint
{
public:

  vnl_double_3 location;
  vnl_double_3 direction;
  vnl_double_3 normal;
  double scale;
  vnl_vector_fixed<double, 128> feature_vector; 
};

#endif