#ifndef SCAN_FACTORY_H_
#define SCAN_FACTORY_H_

#include "Scan.h"
#include "LeicaScan.h"

class ScanFactory
{
public:
  enum scan_type { LEICA };

  static Scan *create_scan(const scan_type &type)
  {
    if (type == LEICA)
    {
      return new LeicaScan;
    }

    return NULL;
  }

private:

};

#endif