#ifndef PHYSKPT_H_
#define PHYSKPT_H_

#include "HEVertex.h"
#include "vnl/vnl_double_3.h"

class PhysKpt
{
public:
  vnl_double_3 location;
  vnl_double_3 normal;
  vnl_double_3 direction;
  double strength;
  double scale;
  HEVertex *n;
  vnl_double_3x3 hessian;
  vnl_vector_fixed<double, 128> feature_vector;
};

#endif